//===========================================================================
//  $Name: arts++-1-1-a12 $
//  $Id: aclocal.h.in,v 1.1.1.1 2002/11/16 00:46:43 rkoga Exp $
//===========================================================================
//  CAIDA Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  arts++ is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License version 2.1 as published by the Free Software Foundation.
//  arts++ is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
//  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/lesser.html
//
//  or by writing to:
//
//    University of California, San Diego
//
//    SDSC/CAIDA
//    9500 Gilman Dr., MS-0505
//    La Jolla, CA 92093 - 0505  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

//---------------------------------------------------------------------------
//  The xdr_destroy() macro in <rpc/xdr.h> on FreeBSD 2.2.x systems (and
//  possibly others) is broken... it passes the XDR pointer to the
//  x_destroy() function but the x_destroy() function prototype
//  doesn't have any arguments.  C++ compilers (and rigorous C compilers)
//  don't like this, so we'll rewrite the macro to match the x_destroy()
//  prototype where we need it (in classes/src/ArtsPrimitive.cc) if
//  XDR_DESTROY_MACRO_DONT_PASS_POINTER is defined.
//---------------------------------------------------------------------------
#undef XDR_DESTROY_MACRO_DONT_PASS_POINTER

//---------------------------------------------------------------------------
//  Newer versions of g++ and egcs support the Standard C++ Library header
//  file names.  Unfortunately, older version do not and there's a lot
//  of legacy code written to the old header names.  I'm trying to migrate
//  toward using the standard names when they exist and fall back to old 
//  g++ conventions if I can't find the header under the standard name.
//  Hence I have a bunch of macros that are set if the standard header
//  exists under the standard name and not set if the standard header
//  is not under the standard name.
//
//  As an aside, this is one of the reasons I recommend using g++ 2.8.1
//  or egcs-1.1.2 (there are other reasons for doing so too, mostly related
//  to STL and general template support).
//---------------------------------------------------------------------------
#undef HAVE_IOSTREAM

